org.icefaces.ace.component.resizable

## Class ResizableBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.resizable.ResizableBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IResizable
  Direct Known Subclasses:
    Resizable

      public abstract class ResizableBase
      extends javax.faces.component.UIComponentBase
      implements IResizable, IceClientBehaviorHolder

  The Resizable is a component that makes another component resizable.

  For more information, see the Resizable Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ResizableBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResizableBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.lang.String` | `getEffect()` Return the value of the `effect` property.
    `java.lang.String` | `getEffectDuration()` Return the value of the `effectDuration` property.
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFor()` Return the value of the `for` property.
    `int` | `getGrid()` Return the value of the `grid` property.
    `java.lang.String` | `getHandles()` Return the value of the `handles` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `int` | `getMaxHeight()` Return the value of the `maxHeight` property.
    `int` | `getMaxWidth()` Return the value of the `maxWidth` property.
    `int` | `getMinHeight()` Return the value of the `minHeight` property.
    `int` | `getMinWidth()` Return the value of the `minWidth` property.
    `javax.el.MethodExpression` | `getResizeListener()` Return the value of the `resizeListener` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `boolean` | `isAnimate()` Return the value of the `animate` property.
    `boolean` | `isAspectRatio()` Return the value of the `aspectRatio` property.
    `boolean` | `isContainment()` Return the value of the `containment` property.
    `boolean` | `isGhost()` Return the value of the `ghost` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isProxy()` Return the value of the `proxy` property.
    `void` | `setAnimate(boolean animate)` Set the value of the `animate` property.
    `void` | `setAspectRatio(boolean aspectRatio)` Set the value of the `aspectRatio` property.
    `void` | `setContainment(boolean containment)` Set the value of the `containment` property.
    `void` | `setEffect(java.lang.String effect)` Set the value of the `effect` property.
    `void` | `setEffectDuration(java.lang.String effectDuration)` Set the value of the `effectDuration` property.
    `void` | `setFor(java.lang.String forValue)` Set the value of the `for` property.
    `void` | `setGhost(boolean ghost)` Set the value of the `ghost` property.
    `void` | `setGrid(int grid)` Set the value of the `grid` property.
    `void` | `setHandles(java.lang.String handles)` Set the value of the `handles` property.
    `void` | `setMaxHeight(int maxHeight)` Set the value of the `maxHeight` property.
    `void` | `setMaxWidth(int maxWidth)` Set the value of the `maxWidth` property.
    `void` | `setMinHeight(int minHeight)` Set the value of the `minHeight` property.
    `void` | `setMinWidth(int minWidth)` Set the value of the `minWidth` property.
    `void` | `setProxy(boolean proxy)` Set the value of the `proxy` property.
    `void` | `setResizeListener(javax.el.MethodExpression resizeListener)` Set the value of the `resizeListener` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResizableBase

          public ResizableBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setAnimate

          public void setAnimate(boolean animate)

      Set the value of the `animate` property.

      Contents: Boolean value that specifies whether the resizing should be animated.

      Specified by:
        `setAnimate` in interface `IResizable`

    - #### isAnimate

          public boolean isAnimate()

      Return the value of the `animate` property.

      Contents: Boolean value that specifies whether the resizing should be animated. Default = 'false'.

      Specified by:
        `isAnimate` in interface `IResizable`

    - #### setAspectRatio

          public void setAspectRatio(boolean aspectRatio)

      Set the value of the `aspectRatio` property.

      Contents: Boolean value that specifies whether the aspect ratio of the component should be maintained when resizing.

      Specified by:
        `setAspectRatio` in interface `IResizable`

    - #### isAspectRatio

          public boolean isAspectRatio()

      Return the value of the `aspectRatio` property.

      Contents: Boolean value that specifies whether the aspect ratio of the component should be maintained when resizing. Default = 'false'.

      Specified by:
        `isAspectRatio` in interface `IResizable`

    - #### setContainment

          public void setContainment(boolean containment)

      Set the value of the `containment` property.

      Contents: Boolean value that specifies whether the resizable should be restricted to its parent's boundaries.

      Specified by:
        `setContainment` in interface `IResizable`

    - #### isContainment

          public boolean isContainment()

      Return the value of the `containment` property.

      Contents: Boolean value that specifies whether the resizable should be restricted to its parent's boundaries. Default = 'false'.

      Specified by:
        `isContainment` in interface `IResizable`

    - #### setEffect

          public void setEffect(java.lang.String effect)

      Set the value of the `effect` property.

      Contents: Easing effect for animating. "linear" or "swing". Easing plugins or functions can add more effects.

      Specified by:
        `setEffect` in interface `IResizable`

    - #### getEffect

          public java.lang.String getEffect()

      Return the value of the `effect` property.

      Contents: Easing effect for animating. "linear" or "swing". Easing plugins or functions can add more effects. Default = 'swing'.

      Specified by:
        `getEffect` in interface `IResizable`

    - #### setEffectDuration

          public void setEffectDuration(java.lang.String effectDuration)

      Set the value of the `effectDuration` property.

      Contents: Duration time for animating, in milliseconds. Other possible values: "slow", "normal", "fast".

      Specified by:
        `setEffectDuration` in interface `IResizable`

    - #### getEffectDuration

          public java.lang.String getEffectDuration()

      Return the value of the `effectDuration` property.

      Contents: Duration time for animating, in milliseconds. Other possible values: "slow", "normal", "fast". Default = 'normal'.

      Specified by:
        `getEffectDuration` in interface `IResizable`

    - #### setFor

          public void setFor(java.lang.String forValue)

      Set the value of the `for` property.

      Contents: Specifies the id of the component to make resizable.

      Specified by:
        `setFor` in interface `IResizable`

    - #### getFor

          public java.lang.String getFor()

      Return the value of the `for` property.

      Contents: Specifies the id of the component to make resizable.

      Specified by:
        `getFor` in interface `IResizable`

    - #### setGhost

          public void setGhost(boolean ghost)

      Set the value of the `ghost` property.

      Contents: If set to true, a semi-transparent helper element is shown for resizing.

      Specified by:
        `setGhost` in interface `IResizable`

    - #### isGhost

          public boolean isGhost()

      Return the value of the `ghost` property.

      Contents: If set to true, a semi-transparent helper element is shown for resizing. Default = 'false'.

      Specified by:
        `isGhost` in interface `IResizable`

    - #### setGrid

          public void setGrid(int grid)

      Set the value of the `grid` property.

      Contents: Size in pixels of the increments in which the resizable should increase/decrease its size

      Specified by:
        `setGrid` in interface `IResizable`

    - #### getGrid

          public int getGrid()

      Return the value of the `grid` property.

      Contents: Size in pixels of the increments in which the resizable should increase/decrease its size Default = '1'.

      Specified by:
        `getGrid` in interface `IResizable`

    - #### setHandles

          public void setHandles(java.lang.String handles)

      Set the value of the `handles` property.

      Contents: Specifies the handles to use. Possible values are 'n', 'e', 's', 'w', 'ne', 'se', 'sw', and 'sw' (without the quotes and separated by commas). Shortcut "all" enables all handles.

      Specified by:
        `setHandles` in interface `IResizable`

    - #### getHandles

          public java.lang.String getHandles()

      Return the value of the `handles` property.

      Contents: Specifies the handles to use. Possible values are 'n', 'e', 's', 'w', 'ne', 'se', 'sw', and 'sw' (without the quotes and separated by commas). Shortcut "all" enables all handles.

      Specified by:
        `getHandles` in interface `IResizable`

    - #### setMaxHeight

          public void setMaxHeight(int maxHeight)

      Set the value of the `maxHeight` property.

      Contents: Maximum height of the resizable in pixels.

      Specified by:
        `setMaxHeight` in interface `IResizable`

    - #### getMaxHeight

          public int getMaxHeight()

      Return the value of the `maxHeight` property.

      Contents: Maximum height of the resizable in pixels. Default = 'Integer.MAX_VALUE'.

      Specified by:
        `getMaxHeight` in interface `IResizable`

    - #### setMaxWidth

          public void setMaxWidth(int maxWidth)

      Set the value of the `maxWidth` property.

      Contents: Maximum width of the resizable in pixels.

      Specified by:
        `setMaxWidth` in interface `IResizable`

    - #### getMaxWidth

          public int getMaxWidth()

      Return the value of the `maxWidth` property.

      Contents: Maximum width of the resizable in pixels. Default = 'Integer.MAX_VALUE'.

      Specified by:
        `getMaxWidth` in interface `IResizable`

    - #### setMinHeight

          public void setMinHeight(int minHeight)

      Set the value of the `minHeight` property.

      Contents: Minimum height of the resizable in pixels.

      Specified by:
        `setMinHeight` in interface `IResizable`

    - #### getMinHeight

          public int getMinHeight()

      Return the value of the `minHeight` property.

      Contents: Minimum height of the resizable in pixels. Default = 'Integer.MIN_VALUE'.

      Specified by:
        `getMinHeight` in interface `IResizable`

    - #### setMinWidth

          public void setMinWidth(int minWidth)

      Set the value of the `minWidth` property.

      Contents: Minimum width of the resizable in pixels.

      Specified by:
        `setMinWidth` in interface `IResizable`

    - #### getMinWidth

          public int getMinWidth()

      Return the value of the `minWidth` property.

      Contents: Minimum width of the resizable in pixels. Default = 'Integer.MIN_VALUE'.

      Specified by:
        `getMinWidth` in interface `IResizable`

    - #### setProxy

          public void setProxy(boolean proxy)

      Set the value of the `proxy` property.

      Contents: If set to true, the CSS class "ui-resizable-proxy" will be added to the helper element used to outline the resize.

      Specified by:
        `setProxy` in interface `IResizable`

    - #### isProxy

          public boolean isProxy()

      Return the value of the `proxy` property.

      Contents: If set to true, the CSS class "ui-resizable-proxy" will be added to the helper element used to outline the resize. Default = 'false'.

      Specified by:
        `isProxy` in interface `IResizable`

    - #### setResizeListener

          public void setResizeListener(javax.el.MethodExpression resizeListener)

      Set the value of the `resizeListener` property.

      Contents: Listener for the end of resize event.

      Specified by:
        `setResizeListener` in interface `IResizable`

    - #### getResizeListener

          public javax.el.MethodExpression getResizeListener()

      Return the value of the `resizeListener` property.

      Contents: Listener for the end of resize event.

      Specified by:
        `getResizeListener` in interface `IResizable`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the widget to access client-side API.

      Specified by:
        `setWidgetVar` in interface `IResizable`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the widget to access client-side API.

      Specified by:
        `getWidgetVar` in interface `IResizable`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.